#21 bug?

important
closed-fixed
8139too (65)
5
2001-05-07
2001-04-20
Anonymous
No

I get no more "too much work on interrupt", but now I get messages like

localhost kernel: Undo loss 212.41.208.70/119 c2 l0 ss2/2 p0
localhost kernel: Undo partial loss 212.36.191.31/80 c1 l3 ss2/2 p3

after that I stop receiving and sending data over adsl and must
reboot, as used to happen after some (many) "too much work on interrupt".

It's also impossible to ping these addresses.

In dmesg I find:

localhost kernel: 8139too Fast Ethernet driver 0.9.16
localhost kernel: PCI: Found IRQ 10 for device 00:0b.0
localhost kernel: PCI: The same IRQ used for device 00:11.0
localhost kernel: eth0: RealTek RTL8139 Fast Ethernet at 0xd2861000,
00:48:54:55:01:e6, IRQ 10
localhost kernel: eth0: Identified 8139 chip type 'RTL-8139B'
localhost kernel: eth0: Setting half-duplex based on auto-negotiated
partner ability 0000.

WIth kernel 2.2.x and with driver rtl8139 I had no message about sharing IRQ and no hang up.
I can't find out what device is 00:0b.0, but in /proc/pci I find the following at IRQ 10:

Bus 0, device 11, function 0:
Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139 (rev 16).
IRQ 10.
Master Capable. Latency=32. Min Gnt=32.Max Lat=64.
I/O at 0x9000 [0x90ff].
Non-prefetchable 32 bit memory at 0xdd000000 [0xdd0000ff].

[snip]

Bus 0, device 17, function 0:
Unknown mass storage controller: Promise Technology, Inc. 20265 (rev 2).
IRQ 10.
Master Capable. Latency=32.
I/O at 0x8400 [0x8407].
I/O at 0x8000 [0x8003].
I/O at 0x7800 [0x7807].
I/O at 0x7400 [0x7403].
I/O at 0x7000 [0x703f].
Non-prefetchable 32 bit memory at 0xdc000000 [0xdc01ffff].

Pronise Technology should be the DMA controller.

Processor: Atlon 900
Motherboard: ASUS A7V

Hope it can help.

alessandro

>>>>>>>>>>>>>>>>>> Notizia originaria <<<<<<<<<<<<<<<<<<

Il 4/14/01, 2:31:50 PM, Jeff Garzik <jgarzik@mandrakesoft.com> ha scritto sull‘argomento RealTek 8139 driver updated, tested requested:

> A new version of the ethernet driver for RTL-8139-based 10/100 boards
> has been posted at

> http://sourceforge.net/projects/gkernel/

> This update includes a couple major bugfixes, and I am interested in
> getting the widest testing possible for it.

> Please report bugs to the bug tracking system on the web page above.
> Please include in your bug report 'lspci -vvv', 'dmesg', and any other
> relevant information you can think of.

> Thanks,

> Jeff

Discussion

  • Jeff Garzik

    Jeff Garzik - 2001-04-23
    • assigned_to: nobody --> jgarzik
     
  • Jeff Garzik

    Jeff Garzik - 2001-05-07
    • status: open --> closed-fixed
     
  • Jeff Garzik

    Jeff Garzik - 2001-05-07

    Logged In: YES
    user_id=17443

    This problem is fixed in the latest version of the driver. You
    can download the driver from the download section on this
    SourceForge web page.

     

Log in to post a comment.